/**
 * Theme Name: Blocksy Child
 * Description: Blocksy Child theme
 * Author: Creative Themes
 * Template: blocksy
 * Text Domain: blocksy
 */

.documents-grid {
	display: grid;
	grid-template-columns: repeat(4, 1fr);
	gap: 20px;
	margin: 0;
}

.document-item {
	aspect-ratio: 1/1;
	width: 100%;
	height: auto;
	position:relative;
	display:flex;
	align-items:end;
}
.document-thumbnail-wrap{
	overflow:hidden;
	position:absolute;
	width: 100%;
	height: 100%;
	left:0;
	top:0;
}
.document-item:hover .document-thumbnail{
	transform:scale(1.1);
}
.document-thumbnail {
	position:absolute;
	width: 100%;
	left:0;
	top:0;
	height: 100%;
	background-size: cover;
	background-position: center;
	z-index: 0;
	transition:0.3s ease-in-out;
}

.document-content {
	background: rgba(0, 0, 0, 0.7);
	color: white;
	padding: 20px;
	width: 100%;
	z-index: 1;
}
.document-title {
	margin-bottom: 8px!important;
	font-size: 20px;
	color:white;
}
.document-excerpt {
	margin: 0;
	font-size: 16px;
}
.document-excerpt p{
	margin-bottom: 0px;
}

@media (max-width: 1200px) {
	.documents-grid {
		grid-template-columns: repeat(3, 1fr);
	}
}

@media (max-width: 991px) {
	.documents-grid {
		grid-template-columns: repeat(2, 1fr);
	}
}

@media (max-width: 700px) {
	.documents-grid {
		grid-template-columns: 1fr;
	}
	.document-title {
		font-size: 18px;
	}
	.document-excerpt {
		font-size: 15px;
	}
	.document-content{
		padding:15px;
	}
}
